
#include "video.h"

extern gbcpu_context cpu;

static BITMAP *video_buffer;
static int video_x, video_y;

void video_init(int x, int y)
{
  video_buffer = create_bitmap(160, 144);
  clear(video_buffer);
  rectfill(video_buffer, 0, 0, 160, 144, 15);

  lcdc_buffer = video_buffer;

  video_x = x;
  video_y = y;
}

void video_cleanup()
{
  destroy_bitmap(video_buffer);
}

void video_blit()
{
  int i, j;
  int do_copy=0;
  unsigned char buffer_p, screen_p;

  acquire_screen();

  blit(video_buffer, screen, 0, 0, video_x, video_y, 160, 144);

  release_screen();
}

