
#ifndef TABLES_H
#define TABLES_H

/*
  increment/decrement table of resultant flags, hell, i already copied the cycle
  table. these are pretty trivial so i don't see the harm honestly.
 */

static u8 incflags[256] = {
  FZ|FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
  FH, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
};

static u8 decflags[256] = {
  FN|FZ,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH,
  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN,  FN|FH

};

#endif
